Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038490
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-05-04 12:352018-05-14 13:09
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision324ddcc5adc9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038490: Empty error message is shown when processing a stock reservation without available stock and without attribute set value

DescriptionEmpty error message is shown when processing a stock reservation without available stock and without attribute set value

The problem is in M_RESERVATION_POST database function:

RAISE EXCEPTION '%', '@NotEnoughAvailableStock@ : ' || cur_not_available.locatorName || ' - ' || cur_not_available.attributeName;

The description for '0' record is empty in m_attributesetinstance table and a null value is being concatenated with the message
Steps To ReproduceAs group admin role:
   Set 'Enable Stock Reservations' preference to Y
   Log out and log in
   Create a Stock Reservation for 'F&B España - Región Norte' and 'Cerveza Ale 0,5L' product
   Manage Stock and select the whole stocked quantity
   Do not process it
   Create a goods shipment
   Add 'Cerveza Ale 0,5L' product and ship the whole stocked quantity
   Complete it

   Return to Stock Reservations window and try to process the reservation
   An empty error message is shown and the log does not show any information
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0104343)
AtulOpenbravo (developer)
2018-05-09 10:16

- Login as F&B International Group Admin role.
- Set 'Enable Stock Reservations' preference to Y
- Log out and log in
- Create a Stock Reservation for 'F&B España - Región Norte' and 'Cerveza Ale 0,5L' product, Quantity = (Stocked quantity)
- Manage Stock and select the whole stocked quantity
- Do not process it
- Create a goods shipment for business partner.
- Add 'Cerveza Ale 0,5L' product and ship the whole stocked quantity
- Complete it
- Return to Stock Reservations window and try to process the reservation
- Realize that proper error message is shown about not enough stock available with locator name and blank attribute name.
(0104478)
hgbot (developer)
2018-05-11 13:58

Repository: erp/devel/pi
Changeset: 324ddcc5adc96092a47f4fa1ad5d5421b08bfda3
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri May 11 00:45:46 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/324ddcc5adc96092a47f4fa1ad5d5421b08bfda3 [^]

Fixes Issue 0038490: Empty error message is shown when processing a
stock reservation without available stock and without attribute set
value

Use COALESCE(TO_CHAR(cur_not_available.attributeName), '') to avoid null
value in the description of attribute set instance with id 0

---
M src-db/database/model/functions/M_RESERVATION_POST.xml
---
(0104483)
aferraz (developer)
2018-05-11 14:22

Code review + Testing OK
(0104498)
hudsonbot (developer)
2018-05-14 13:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ed385e0e027b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-05-04 12:35 ngarcia New Issue
2018-05-04 12:35 ngarcia Assigned To => Triage Finance
2018-05-04 12:35 ngarcia Modules => Core
2018-05-04 12:35 ngarcia Triggers an Emergency Pack => No
2018-05-04 12:35 ngarcia Issue Monitored: networkb
2018-05-04 12:37 ngarcia Description Updated View Revisions
2018-05-08 08:50 vmromanos Assigned To Triage Finance => AtulOpenbravo
2018-05-08 19:52 AtulOpenbravo Status new => scheduled
2018-05-09 10:16 AtulOpenbravo Note Added: 0104343
2018-05-11 13:58 hgbot Checkin
2018-05-11 13:58 hgbot Note Added: 0104478
2018-05-11 13:58 hgbot Status scheduled => resolved
2018-05-11 13:58 hgbot Resolution open => fixed
2018-05-11 13:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/324ddcc5adc96092a47f4fa1ad5d5421b08bfda3 [^]
2018-05-11 14:22 aferraz Review Assigned To => aferraz
2018-05-11 14:22 aferraz Note Added: 0104483
2018-05-11 14:22 aferraz Status resolved => closed
2018-05-11 14:22 aferraz Fixed in Version => 3.0PR18Q3
2018-05-14 13:09 hudsonbot Checkin
2018-05-14 13:09 hudsonbot Note Added: 0104498


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker